Package org.eclipse.rdf4j.spring.operationlog.log.jmx

## Class OperationStatsBean

- java.lang.Object
- - org.eclipse.rdf4j.spring.operationlog.log.jmx.OperationStatsBean

- All Implemented Interfaces:
    `OperationStatsMXBean`, `OperationExecutionStatsConsumer`

      public class OperationStatsBean
      extends Object
      implements OperationStatsMXBean, OperationExecutionStatsConsumer

  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OperationStatsBean()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `consumeOperationExecutionStats​(OperationExecutionStats operationExecutionStats)` |
    `List<AggregatedOperationStats>` | `getAggregatedOperationStats()` |
    `int` | `getDistinctOperationCount()` |
    `int` | `getDistinctOperationExecutionCount()` |
    `int` | `getTotalFailedOperationExecutionCount()` |
    `int` | `getTotalOperationExecutionCount()` |
    `long` | `getTotalOperationExecutionTime()` |
    `void` | `reset()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationStatsBean

          public OperationStatsBean()

  - ### Method Detail

    - #### getAggregatedOperationStats

          public List<AggregatedOperationStats> getAggregatedOperationStats()

      Specified by:
        `getAggregatedOperationStats` in interface `OperationStatsMXBean`

    - #### getDistinctOperationCount

          public int getDistinctOperationCount()

      Specified by:
        `getDistinctOperationCount` in interface `OperationStatsMXBean`

    - #### getDistinctOperationExecutionCount

          public int getDistinctOperationExecutionCount()

      Specified by:
        `getDistinctOperationExecutionCount` in interface `OperationStatsMXBean`

    - #### getTotalOperationExecutionCount

          public int getTotalOperationExecutionCount()

      Specified by:
        `getTotalOperationExecutionCount` in interface `OperationStatsMXBean`

    - #### getTotalOperationExecutionTime

          public long getTotalOperationExecutionTime()

      Specified by:
        `getTotalOperationExecutionTime` in interface `OperationStatsMXBean`

    - #### getTotalFailedOperationExecutionCount

          public int getTotalFailedOperationExecutionCount()

      Specified by:
        `getTotalFailedOperationExecutionCount` in interface `OperationStatsMXBean`

    - #### reset

          public void reset()

      Specified by:
        `reset` in interface `OperationStatsMXBean`

    - #### consumeOperationExecutionStats

          public void consumeOperationExecutionStats​(OperationExecutionStats operationExecutionStats)

      Specified by:
        `consumeOperationExecutionStats` in interface `OperationExecutionStatsConsumer`